Subject: Accepting Internet-Drafts in new RFC format

From: IETF Chair <[email-masked]>
Date: Mon, 18 Mar 2019 16:32:56 -0400

Greetings,

As people are likely aware, there has been a long-running project to update the format of RFCs to allow non-ASCII characters, SVG drawings, and other enhancements.  As background, see RFC 6949 <https://tools.ietf..org/html/rfc6949> for the requirements and RFC 7991 <https://tools.ietf.org/html/rfc7991> section 1.3 for the major changes. RFC 7996 <https://tools.ietf.org/html/rfc7996>, RFC 7997 <https://tools.ietf.org/html/rfc7997>, and RFC 7998 <https://tools.ietf.org/html/rfc7998>  are also useful for more background and detail.  

While there have been small scale tests of these new facilities, we have now reached a major milestone: each of the streams that publishes RFCs (see RFC 7841 <https://tools.ietf.org/html/rfc7841>) is now ready to accept input documents in the new v3 format.  This change will take place as of March 25, 2019 when the submission window for new Internet-drafts re-opens during IETF 104.

All streams are continuing to accept v2 format submissions as well.  If you have an existing draft or do not wish to use any of the new facilities, there is no need to make any change.  

As the v3 tools are still being tested and the RFC Production Center continues to update their systems and processes to handle the v3 format, the RFC Editor does not expect to start publishing v3 RFCs until later this year.  If your v3 document is approved for publication before the tools are complete or the RFC Editor is ready to publish v3-formatted documents, the document will be held in the RFC Editor queue until the transition to v3 takes place.  Alternatively, authors may request that their document be converted to v2 and published without delay. 

If you would like to submit a v3 format Internet-draft, you may find some of the resources at 

https://xml2rfc.tools.ietf.org/experimental.html <https://xml2rfc.tools.ietf.org/experimental.html> 

useful, as they can help convert existing v2 XML to the new v3 format, check or convert SVG files, and transform Kramdown-formatted files to XML v2 (and thus on to v3). An introduction to xml2rfc version 3 is available at https://tools.ietf.org/src/xml2rfc/trunk/cli/doc/xml2rfc3.html <https://tools.ietf.org/src/xml2rfc/trunk/cli/doc/xml2rfc3.html>. Other tool updates include mmark (https://mmark.nl/post/syntax/#rfc-7991-xml-output <https://mmark..nl/post/syntax/#rfc-7991-xml-output>) and the XML to HTML XSLT transform (https://greenbytes.de/tech/webdav/rfc2629xslt/rfc2629xslt.html <https://greenbytes.de/tech/webdav/rfc2629xslt/rfc2629xslt.html>). 

A tutorial will be given during the 12:30-13:30 Sunday tutorial session at IETF 104 on using XML or Markdown to generate the new format; early slides are available here: https://www.rfc-editor.org/materials/tutorial_xml2rfc_104.pdf
 <https://www.rfc-editor.org/materials/tutorial_xml2rfc_104.pdf>

Lastly, if you should find a bug, please report it at https://trac.tools.ietf.org/tools/xml2rfc/trac <https://trac.tools.ietf.org/tools/xml2rfc/trac>.  

Thanks to everyone who has made this possible!

Alissa Cooper
Stream manager for the IETF stream

Robert Sparks
Stream manager for the IAB stream

Allison Mankin and Colin Perkins
Outgoing and incoming stream managers for the IRTF stream

Adrian Farrel
Stream manager for the Independent Stream

---

From: Julian Reschke <[email-masked]>
Date: Tue, 19 Mar 2019 07:26:27 +0100

On 18.03.2019 21:32, IETF Chair wrote:
> Greetings,
> 
> As people are likely aware, there has been a long-running project to 
> update the format of RFCs to allow non-ASCII characters, SVG drawings, 
> and other enhancements.  As background, see RFC 6949 
> <https://tools.ietf..org/html/rfc6949> for the requirements and RFC 7991 
> <https://tools.ietf.org/html/rfc7991> section 1.3 for the major changes. 
> RFC 7996 <https://tools.ietf.org/html/rfc7996>, RFC 7997 
> <https://tools.ietf.org/html/rfc7997>, and RFC 7998 
> <https://tools.ietf.org/html/rfc7998>  are also useful for more 
> background and detail.
> ...

Maybe it should be mentioned that the new format is not exactly what is 
described in RFC 7991 - see 
<https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation-notes-08> 
for notes about what is different.

It would be great to hear about plans to revise RFC 7991, and how to 
deal with the issues that have been raised at 
<https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues>.

Best regards, Julian